Parse error after upgrading

This is an archive of the phpBB 2.0.x support forum. Support for phpBB2 has now ended.
Forum rules
Following phpBB2's EoL, this forum is now archived for reference purposes only.
Please see the following announcement for more information: viewtopic.php?f=14&t=1385785
Locked
Ev!L ErN!E
Registered User
Posts: 182
Joined: Mon Aug 18, 2003 6:03 pm
Location: Michigan
Contact:

Parse error after upgrading

Post by Ev!L ErN!E »

I got this error after upgrading manually from 2.0.13 to 2.0.18
what can I do?

Code: Select all

Parse error: parse error, unexpected $ in evilinc/forums/index.php on line 784
I've checked and theres no "$" on line 784, theres only "?>" and thats it.
Image

www.clanevilinc.com || Join our community!
www.deadmod.com || A HL2 zombification
daisy84
Registered User
Posts: 129
Joined: Thu Sep 29, 2005 6:03 am

Re: Parse error after upgrading

Post by daisy84 »

Ev!L ErN!E wrote: I got this error after upgrading manually from 2.0.13 to 2.0.18
what can I do?

Code: Select all

Parse error: parse error, unexpected $ in evilinc/forums/index.php on line 784
I've checked and theres no "$" on line 784, theres only "?>" and thats it.


To my knowledge when you edit files, like adding mods, that line # changes.

I see that you upgraded from 2.0.13 to 2.0.18 that was a quite an upgrade.
Try double checking the lines that you edited in that file (index.php)
It gotta be there somewhere.
Ev!L ErN!E
Registered User
Posts: 182
Joined: Mon Aug 18, 2003 6:03 pm
Location: Michigan
Contact:

Post by Ev!L ErN!E »

well the only index.php editing was for the 2.0.17 to 2.0.18 upgrade.... I took out the bit of code it tells you to edit and it works now... I'm not sure if thats healthy, but it worked.
Image

www.clanevilinc.com || Join our community!
www.deadmod.com || A HL2 zombification
daisy84
Registered User
Posts: 129
Joined: Thu Sep 29, 2005 6:03 am

Post by daisy84 »

Ev!L ErN!E wrote: well the only index.php editing was for the 2.0.17 to 2.0.18 upgrade.... I took out the bit of code it tells you to edit and it works now... I'm not sure if thats healthy, but it worked.



If you haven't asked maybe you should ask someone with more php knowledge, just to make sure that this keeps your board safe :)
Locked

Return to “2.0.x Support Forum”